SciPy gui_thread Problem

Robert Kern rkern at ucsd.edu
Sun Jun 19 05:52:26 CEST 2005


Hsuan-Yeh Chang wrote:
> Dear SciPy users,

If you want to address Scipy users, you should post to the Scipy mailing 
list.

> Can anyone tell me the reason for following error messages:
> 
> 
>>>>import gui_thread
>>>>gui_thread.start()
> 
> Traceback (most recent call last):
>   File "/usr/lib/python2.4/site-packages/scipy_base/pexec.py", line 56, in
> run
>     exec (code, frame.f_globals,frame.f_locals)
>   File "<string>", line 1, in ?
> ImportError: /usr/lib/wxPython/lib/libwx_gtk2u_ogl-2.5.so.3: undefined
> symbol: _ZNK6wxExpr3NthEi

Something has been compiled incorrectly or shared libraries are missing.

In any case, gui_thread probably won't work with wxPython 2.5. 
Development on gui_thread has stopped in favor of ipython's threading 
support.

http://ipython.scipy.org
http://ipython.scipy.org/doc/manual/node5.html#sec:threading-opts

-- 
Robert Kern
rkern at ucsd.edu

"In the fields of hell where the grass grows high
  Are the graves of dreams allowed to die."
   -- Richard Harter




More information about the Python-list mailing list